filesize
flock
Filesystem Functions
PHP Manual

# filetype

(PHP 4, PHP 5)

filetype — Gets file type

### Description

string filetype ( string `$filename` )

Returns the type of the given file.

### Parameters

`filename`

  Path to the file.

### Return Values

Returns the type of the file. Possible values are fifo, char, dir, block, link, file, socket and unknown.

Returns `FALSE` if an error occurs. filetype() will also produce an `E_NOTICE` message if the stat call fails or if the file type is unknown.

### Examples

Example #1 filetype() example

`<?php
echo filetype('/etc/passwd'); // file
echo filetype('/etc/'); // dir
?>`

### Errors/Exceptions

Upon failure, an `E_WARNING` is emitted.

### Notes

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to Supported Protocols and Wrappers to determine which wrappers support stat() family of functionality.

### See Also

- is_dir() - Tells whether the filename is a directory
- is_file() - Tells whether the filename is a regular file
- is_link() - Tells whether the filename is a symbolic link
- file_exists() - Checks whether a file or directory exists
- mime_content_type() - Detect MIME Content-type for a file (deprecated)
- pathinfo() - Returns information about a file path
- stat() - Gives information about a file

filesize
flock
Filesystem Functions
PHP Manual